Simon 3.5 released

Announcing the general release of Simon version 3.5!

Firstly, please note that Simon now requires an Intel Mac, and a minimum of OS X 10.6 (Snow Leopard). If you are using Simon on an older machine, you can continue using version 3.4 or earlier (there are download links on the Simon site).

Simon 3.5 includes a number of improvements and fixes for OS X 10.8 (Mountain Lion) support. It also includes improvements to the Web (HTTP) Twitter, Calendar, Script, Email and Speech plug-ins.

Here are the full release notes for the details:

  • Moved the main functionality of the Web (HTTP) plug-in into a helper app, so any issues with it won't affect Simon.
  • The Web (HTTP) plug-in now respects the charset of the source page, so for example the source of a Japanese site will be passed to filters and notifiers correctly.
  • Similarly, the Preview and Show Source windows now respect the charset of the source web pages.
  • Fixed some issues with the Twitter plug-in.
  • Fixed some issues with the Calendar plug-in.
  • Improved split handling in the Script editors.
  • The Email plug-in's helper no longer appears in the Dock.
  • Updated the Speech notifier plug-in to use modern APIs, and support stopping speaking while editing the notifier.
  • Fixed an exception when using the FilterIndex variable in a script.
  • Fixed an off-by-one error in calculating the Statistics values (they were one second higher than the actual duration).
  • Increased the wait on waking from 15 to 30 seconds, to allow time for the internet connection to be ready.
  • Removed the hidden preference to use the legacy Automatic email transport, as it doesn't work when building for Mountain Lion.
  • Fixed a crasher when canceling a New Test editor.
  • Added a license button to the Preferences window, when unlicensed, to make it easier to buy the app.
  • Fixed display of license entry date in the Licenses editor.
  • Improved full-screen support.
  • Fixed a bunch of memory leaks.
  • Updated the UI layouts to better support localization.
  • Updated the German, French and Japanese localizations.
  • Rebuilt for Mountain Lion using Xcode 4.
  • Many changes to improve Mountain Lion compatibility.
  • The standard edition of the app is now signed with a Developer ID to support Gatekeeper on Mountain Lion.
  • Simon now requires an Intel Mac and a minimum of OS X 10.6 (Snow Leopard).

Download Simon 3.5 now!